summaryrefslogtreecommitdiff
path: root/media-tv/sp-auth
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /media-tv/sp-auth
Added ebuilds for kogaion desktop
Diffstat (limited to 'media-tv/sp-auth')
-rw-r--r--media-tv/sp-auth/Manifest1
-rw-r--r--media-tv/sp-auth/sp-auth-3.2.6.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/media-tv/sp-auth/Manifest b/media-tv/sp-auth/Manifest
new file mode 100644
index 00000000..6d8d8af8
--- /dev/null
+++ b/media-tv/sp-auth/Manifest
@@ -0,0 +1 @@
+DIST sp-auth-3.2.6.tar.gz 345856 SHA256 6ea333b51898ee61f37903f20503358e8ee328cbd8b49d910fa7e0f23bf8a4a0 SHA512 9d9c547df24b30ffe7ee33d0783005eff3f8b90d0955f58faa8380102e10de8f9ab6098ff53ecacaa3c275bf7b206b98f6ae9a365abb362531a3d28888e666af WHIRLPOOL 21b7269c41e43ec292302bca97bf9d65f506649aaed751fe2777199cf866e94cdd324294d60a1c24202eb2e973214406f167b50cfb55282289b301ca3d9c4e0b
diff --git a/media-tv/sp-auth/sp-auth-3.2.6.ebuild b/media-tv/sp-auth/sp-auth-3.2.6.ebuild
new file mode 100644
index 00000000..e2d411dc
--- /dev/null
+++ b/media-tv/sp-auth/sp-auth-3.2.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+MY_P="sp-sc-auth"
+
+DESCRIPTION="SopCast free P2P Internet TV binary"
+LICENSE="SopCast-unknown-license"
+HOMEPAGE="http://www.sopcast.com/"
+SRC_URI="http://sopcast-player.googlecode.com/files/${PN}-${PV}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+# All dependencies might not be listed, since the binary blob's homepage only lists libstdc
+RDEPEND="amd64? ( app-emulation/emul-linux-x86-compat )
+ x86? ( >=virtual/libstdc-3.3 )"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+ exeinto /usr/bin/
+ newexe sp-sc-auth ${MY_P} || die "newexe failed"
+ dodoc Readme || die "dodoc failed"
+}